Help us understand the problem. What is going on with this article?

hubコマンド入れる(linux)

More than 3 years have passed since last update.

./script/buildとかしてるとエラー出た。
golang入れる必要あった。 1.4以上とのこと。
ubuntuのリポジトリのものは古かったので、他の人がメンテしているものを使う。
https://launchpad.net/~evarlast/+archive/ubuntu/golang1.5

golang入れる

sudo add-apt-repository ppa:evarlast/golang1.5
sudo apt-get update
sudo apt-get install golang

hubコマンドを入れる

rubygemsにあるhubコマンドは遅いのでこちらのものを利用しましょうとのこと。

path通ってるところ(今回は/usr/local/bin)に配置する

git clone https://github.com/github/hub.git
cd hub
./script/build
sudo cp hub /usr/local/bin/

エイリアス張る

echo 'eval "$(hub alias -s)"' >> ~/.bash_profile

以上。詳しくはこちら(https://github.com/github/hub#commands)

Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away